package com.ssj.service.conch.conch.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author yangcan
 * 类描述:小塾作业计时+拍照
 * 创建时间:2018年12月10日 下午2:51:08

 */
public class ConchUploadHomeworkRequest extends BaseRequest {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(name = "derver", value = "设备号", required = true)
    private String derver;
	
	@ApiModelProperty(name = "courseName", value = "科目(YUWEN,YINGYU，SHUXUE)", required = true)
    private String   courseName;

    @ApiModelProperty(name = "startTime", value = "时间戳（开始时间）", required = true)
    private long   startTime;
    
    @ApiModelProperty(name = "endTime", value = "时间戳（结束时间）", required = true)
    private long   endTime;
    
    @ApiModelProperty(name = "derverFileId", value = "设备图片唯一Id", required = true)
    private String  derverFileId;

    @ApiModelProperty(name = "fileKeys", value = "文件名称", required = true)
    private String  fileKeys;

	public String getDerver() {
		return derver;
	}

	public void setDerver(String derver) {
		this.derver = derver;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public long getStartTime() {
		return startTime;
	}

	public void setStartTime(long startTime) {
		this.startTime = startTime;
	}

	public long getEndTime() {
		return endTime;
	}

	public void setEndTime(long endTime) {
		this.endTime = endTime;
	}

	public String getDerverFileId() {
		return derverFileId;
	}

	public void setDerverFileId(String derverFileId) {
		this.derverFileId = derverFileId;
	}

	public String getFileKeys() {
		return fileKeys;
	}

	public void setFileKeys(String fileKeys) {
		this.fileKeys = fileKeys;
	}
}
